Upstream information

CVE-2007-1669 at MITRE

Description

zoo decoder 2.10 (zoo-2.10), as used in multiple products including (1) Barracuda Spam Firewall 3.4 and later with virusdef before 2.0.6399, (2) Spam Firewall before 3.4 20070319 with virusdef before 2.0.6399o, and (3) AMaViS 2.4.1 and earlier, allows remote attackers to cause a denial of service (infinite loop) via a ZOO archive with a direntry structure that points to a previous file.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 7.8
Vector AV:N/AC:L/Au:N/C:N/I:N/A:C
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact None
Integrity Impact None
Availability Impact Complete
SUSE Bugzilla entry: 271781 [RESOLVED / FIXED]

No SUSE Security Announcements cross referenced.

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 12
  • zoo >= 2.10-1020.62
Patchnames:
SUSE Linux Enterprise Desktop 12 GA zoo
SUSE Linux Enterprise Desktop 12 SP1
  • zoo >= 2.10-1020.62
Patchnames:
SUSE Linux Enterprise Desktop 12 SP1 GA zoo
SUSE Linux Enterprise Desktop 12 SP2
  • zoo >= 2.10-1020.62
Patchnames:
SUSE Linux Enterprise Desktop 12 SP2 GA zoo
SUSE Linux Enterprise Desktop 12 SP3
  • zoo >= 2.10-1020.62
Patchnames:
SUSE Linux Enterprise Desktop 12 SP3 GA zoo
SUSE Linux Enterprise Module for Basesystem 15
  • zoo >= 2.10-1.29
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 GA zoo
SUSE Linux Enterprise Server 11 SP1
  • zoo >= 2.10-911.22
Patchnames:
SUSE Linux Enterprise Server 11 SP1 GA zoo
SUSE Linux Enterprise Server 11 SP2
  • zoo >= 2.10-911.22
Patchnames:
SUSE Linux Enterprise Server 11 SP2 GA zoo
SUSE Linux Enterprise Server 11 SP3
  • zoo >= 2.10-911.22
Patchnames:
SUSE Linux Enterprise Server 11 SP3 GA zoo
SUSE Linux Enterprise Server 11 SP4
  • zoo >= 2.10-911.22
Patchnames:
SUSE Linux Enterprise Server 11 SP4 GA zoo
SUSE Linux Enterprise Server 12
  • zoo >= 2.10-1020.62
Patchnames:
SUSE Linux Enterprise Server 12 GA zoo
SUSE Linux Enterprise Server 12 SP1
  • zoo >= 2.10-1020.62
Patchnames:
SUSE Linux Enterprise Server 12 SP1 GA zoo
SUSE Linux Enterprise Server 12 SP2
  • zoo >= 2.10-1020.62
Patchnames:
SUSE Linux Enterprise Server 12 SP2 GA zoo
SUSE Linux Enterprise Server 12 SP3
  • zoo >= 2.10-1020.62
Patchnames:
SUSE Linux Enterprise Server 12 SP3 GA zoo
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • zoo >= 2.10-1020.56
Patchnames:
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 GA zoo
openSUSE Leap 42.1
  • zoo >= 2.10-1027.2
Patchnames:
openSUSE Leap 42.1 GA zoo
openSUSE Leap 42.2
  • zoo >= 2.10-1028.4
Patchnames:
openSUSE Leap 42.2 GA zoo
openSUSE Leap 42.3
  • zoo >= 2.10-1030.1
Patchnames:
openSUSE Leap 42.3 GA zoo
openSUSE Tumbleweed
  • zoo >= 2.10-1025.8
Patchnames:
openSUSE Tumbleweed GA zoo